## org.mortbay.jetty.servlet
Class AbstractSessionManager.NullSessionContext

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.NullSessionContext

All Implemented Interfaces:
  javax.servlet.http.HttpSessionContext

Enclosing class:
  AbstractSessionManager

    public static class AbstractSessionManager.NullSessionContext

extends java.lang.Object
implements javax.servlet.http.HttpSessionContext

Null returning implementation of HttpSessionContext

Author:
  Greg Wilkins (gregw)

Method Summary
`java.util.Enumeration` `getIds()` Deprecated. From HttpSessionContext
`javax.servlet.http.HttpSession` `getSession(java.lang.String id)` Deprecated. From HttpSessionContext

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIds

    public java.util.Enumeration getIds()

  Deprecated. From HttpSessionContext

  Specified by:
    `getIds` in interface `javax.servlet.http.HttpSessionContext`

### getSession

    public javax.servlet.http.HttpSession getSession(java.lang.String id)

  Deprecated. From HttpSessionContext

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpSessionContext`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.